jdebug Documentation: Class EventRequestSpecList

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jde.debugger.spec
Class EventRequestSpecList

    java.lang.Object
      |
      +--jde.debugger.spec.EventRequestSpecList

public class EventRequestSpecList
extends java.lang.Object

EventRequestSpecList.java

Maintains a list of all the "specs", ie requests by the user for notification of a particular type of event. Not all commands create specs: watchpoints, breakpoints, and exception catches do.

See `EventRequestSpec` for more details.

Created: Thu Jul 15 11:26:23 1999

Since:
  0.1

Field Summary
`private Application` | `app` The application for which we're maintaining the specs
`private java.util.Map` | `eventRequestSpecs` a Hashmap of all the `EventRequestSpec`s for the application, specID -> spec

Constructor Summary
`EventRequestSpecList(Application app)`

Method Summary
`WatchpointSpec` | `createAccessWatchpoint(java.lang.String classPattern, java.lang.String m)`
`EventRequestSpec` | `createClassLineBreakpoint(java.lang.String classPattern, int line)`
`EventRequestSpec` | `createExceptionIntercept(java.lang.String classPattern, boolean notifyCaught, boolean notifyUncaught)`
`EventRequestSpec` | `createMethodBreakpoint(java.lang.String classPattern, java.lang.String methodId, java.util.List methodArgs)`
`WatchpointSpec` | `createModificationWatchpoint(java.lang.String classPattern, java.lang.String m)`
`EventRequestSpec` | `createSourceLineBreakpoint(java.lang.String sourceName, int line)`
`void` | `delete(EventRequestSpec ers)` Delete an existing event request spec
`void` | `install(EventRequestSpec ers)` Install a new event request spec
`void` | `removeSpec(java.lang.Long specID)` remove a spec based on its specID
`void` | `resolve(com.sun.jdi.ReferenceType refType)` Resolve all deferred eventRequests waiting for 'refType'.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### eventRequestSpecs

    private java.util.Map eventRequestSpecs

  a Hashmap of all the `EventRequestSpec`s for the application, specID -> spec

### app

    private final Application app

  The application for which we're maintaining the specs

Constructor Detail

### EventRequestSpecList

    public EventRequestSpecList(Application app)

Method Detail

### resolve

    public void resolve(com.sun.jdi.ReferenceType refType)

  Resolve all deferred eventRequests waiting for 'refType'. This is called when a new reference type is prepared. We iterate through all the requestspecs, calling their `attemptResolve` methods.
  Parameters:
    `refType` - The reference type that was recently prepared

### install

    public void install(EventRequestSpec ers)

  Install a new event request spec

### delete

    public void delete(EventRequestSpec ers)

  Delete an existing event request spec

### removeSpec

    public void removeSpec(java.lang.Long specID)
                    throws JDEException

  remove a spec based on its specID

### createExceptionIntercept

    public EventRequestSpec createExceptionIntercept(java.lang.String classPattern,
                                                     boolean notifyCaught,
                                                     boolean notifyUncaught)

### createAccessWatchpoint

    public WatchpointSpec createAccessWatchpoint(java.lang.String classPattern,
                                                 java.lang.String m)

### createModificationWatchpoint

    public WatchpointSpec createModificationWatchpoint(java.lang.String classPattern,
                                                       java.lang.String m)

### createClassLineBreakpoint

    public EventRequestSpec createClassLineBreakpoint(java.lang.String classPattern,
                                                      int line)

### createSourceLineBreakpoint

    public EventRequestSpec createSourceLineBreakpoint(java.lang.String sourceName,
                                                       int line)

### createMethodBreakpoint

    public EventRequestSpec createMethodBreakpoint(java.lang.String classPattern,
                                                   java.lang.String methodId,
                                                   java.util.List methodArgs)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD